Subject: Re: [PATCH 1/1] netfilter: Add possibility to turn off netfilters defrag per netns

From: Pablo Neira Ayuso <[email-masked]>
Date: Wed, 4 Jan 2012 18:40:35 +0100

On Wed, Jan 04, 2012 at 12:48:35PM +0100, Hans Schillstrom wrote:
> I like that idea, an "early" table at prio -500 with PREROUTING.
> There is also a need for a new flag "--allfrags"
> i.e. all fragments needs to be sorted out and sent to same dest for defrag.
> 
> ex.
> iptables -t early -A PREROUTING -i eth0 --allfrags -j NOTRACK

New tables add too much overhead. We have discussed this before with
Patrick.

Since this still remains specific to your needs, I think you can
remove nf_conntrack module in your setup.

I don't come with one sane setup that may want selectively defragment
some traffic yes and other not.

Am I missing anything else?